#!/bin/sh

name="vsftpd"
title="vsftpd"
package="vsftpd"
version="1.2.0"
build="1"
noarch="n"
build_info="Standard build."

info="Very Secure FTP daemon." 
desc="vsftpd is a File Transfer Protocol (FTP) server for Unix-like
systems that is used on many large and critical Internet sites.
The 'vs' stands for 'very secure'.  Obviously this is not a
guarantee, but a reflection that the entire codebase has been
written with security in mind, and the program has been
designed to be resillent to attack. Despite its small size, it
is surprisingly configurable."
category="net/server/ftp"
environment="daemon"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUDIT,BENCHMARKS,BUGS,COPYING,Changelog,FAQ,INSTALL,README,REWARD,SIZE,SPEED,TODO,TUNING,EXAMPLE,SECURITY"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://vsftpd.beasts.org/users/cevans/$name-$version.tar.gz

apply_patch confdir 1
apply_patch empty 1
apply_patch logfile 1
apply_patch ftpuser 1
apply_patch config 1

parent_package="$package"
write_info main

cd $src1

do_make

copy vsftpd $pkg_main/usr/sbin
copy vsftpd.conf $pkg_main/etc/vsftpd vsftpd.conf.new
copy vsftpd.conf.5 $pkg_main/usr/man/man5
copy vsftpd.8 $pkg_main/usr/man/man8
copy $src_pkg/vsftpd-conf $pkg_main/usr/sbin
chmod 755 $pkg_main/usr/sbin/vsftpd-conf
copy $src_pkg/vsftpd.logrotate $pkg_main/etc/logrotate.d vsftpd
mkdir -p $pkg_main/{etc/vsftpd/user_conf,var/empty,var/log}
mkdir -p $pkg_main/home/ftp
touch $pkg_main/{etc/vsftpd/{chroot_list.new,banned_email.new},var/log/vsftpd}
echo root > $pkg_main/etc/vsftpd/user_list.new

change_mod main var/log/vsftpd 640

make_docs

make_package main

clean_up

# $Log: vsftpd.builder,v $
# Revision 1.12  2003/06/15 15:49:08  swiergot
# - Build 1.
#
# Revision 1.11  2003/06/15 15:44:01  swiergot
# - Version 1.2.0.
# - Splitted misc patch into five new patches.
# - Reviewed docs_source.
# - Preserving old configuration files.
# - Don't enable local users logins by default.
# - Extended configuration file.
#
# Revision 1.10  2003/06/15 14:15:58  swiergot
# - Build 5.
#
# Revision 1.9  2003/06/15 14:07:08  swiergot
# - Fixed a typo in vsftpd-conf.
#
# Revision 1.8  2003/04/24 16:13:05  swiergot
# - Build 4.
#
# Revision 1.7  2003/04/24 15:57:55  swiergot
# - Make home/ftp directory.
#
# Revision 1.6  2003/04/24 13:57:19  swiergot
# - Build 3.
#
# Revision 1.5  2003/04/24 13:46:18  swiergot
# - Added usr/sbin/vsftpd-conf that creates daemontools service directory.
#
# Revision 1.4  2003/01/03 19:20:09  swiergot
# - Build 2.
#
# Revision 1.3  2003/01/03 19:08:06  swiergot
# - Fixed uncompleted script.postinst.
#
# Revision 1.2  2002/12/25 23:45:53  swiergot
# - Build 1.
#
# Revision 1.1  2002/12/25 23:28:34  swiergot
# - Initial release.
# - Version 1.1.3.
#
